• How to get a fully working Vivaldi Browser?


    Hello,

    I know Vivaldi Browser was removed from Antergos Repos some time ago unfortunatly. That was the only fully working Version I know of aside the Beta Versions from Joekamprad.

    Now I am struggling to get Vivaldi in a fully working State. I have installed these packages from AUR.

    vivaldi
    vivaldi-ffmpeg-codecs
    vivaldi-widevine
    

    Widevine seems to be only partially recognised, since I can open the Spotify Webplayer, but cannot play any music. Amazon Music cannot be opened in any way, always get the ‘Browser not supported’ Screen.
    Also having trouble with some Codecs I guess since some Videos on Youtube just aren’t playing at all, but a lot are playing without an issue. It seems quite random. All of the videos are playing in Standard Chromium.

    I tried reinstalling stated packages like 50 times now, but it won’t help at all. Also tried to use chromium-widevine instead of vivaldi-widevine.
    None of these issues were present in the Antergos Version and also all the Beta Versions from Joekamprad. Someone has an insight, what was different about the package and how to get it working?

    Is there any other Repository to use than only AUR? I currently get the feeling like there is no Benefit of having the Antergos Repo any more, many packages are outdated or getting removed…

  • No issues here. I have installed chromium-widevine form the antergos-repo and ffmpeg from the extra-repo.

  • I think it is more of an issue of these packages not being recognised on my system, but I don’t know how to fix these.

  • https://repo.herecura.eu/

    Have vivaldi packages, working fine here, you need to build obly vivaldi-widevine from AUR.

  • @joekamprad
    I reinstalled Vivaldi now from the Repo you provided, deleted ~/.config/vivaldi, reinstalled widevine plugin, but whatever I try. Vivaldi doesn’t use Widevine. Tried Amazon Music, Spotify and Netflix. Neither are working.

    Are there any Symlinks I need to create or is there some other Trick to get Vivaldi see the Widevine?

  • vivaldi-widevine in aur is the same version as aur chromium-widevine, is basicly just library because vivaldi is also chromium based but widevine need sometime to be updated atleasT?

  • @ringo32 said in How to get a fully working Vivaldi Browser?:

    vivaldi-widevine in aur is the same version as aur chromium-widevine, is basicly just library because vivaldi is also chromium based but widevine need sometime to be updated atleasT?

    Good to know, it is the same package… Still I have no Idea how to get it working…

    Regardless which version I install, it is working in Chromium, but never in Vivaldi…

    Now I manually set a Symlink to the Widevine Lib, but still nothing. Vivaldi just doesn’t recognises Widevine. Widevine Setting is enabled, but Widevine isn’t shown in vivaldi://components

    My Symlink looks like this.

    lrwxrwxrwx 1 root root        35 Apr 13 21:44 libwidevinecdm.so -> /usr/lib/chromium/libwidevinecdm.so
    
    
  • do you use vivaldi for a long time ? in chromium i had some issues with drm because it didnt want to load sometimes i have to update from aur offcourse but that even wont work sometimes, i had to remove some cookies. then it did work. im currently bulding it the ffmpeg part and widevine and vivaldi, now lost my chromium-widevine , i gues they use the same … other words, if you use google-chrome a side sitting in the system, chromium and vivaldi should have pepperflash and widevine automatically even you dont have pepperflash or vivaldi-widevine. in aur is also chrome as optional depency :) but symlinking by hand is not something its stil all chrome engine, so probably using all same locations

  • Yes. I have used Vivaldi as my Main Browser since coming to Antergos quite some time ago when the Forum was a lot more active still.
    And Vivaldi was always working fine. Recently I had to reinstall my system since I upgraded the HDD to an SSD in my Laptop.

    Since the reinstall I tried everything imaginable to get it working. An I reinstalled Vivaldi about 30 Times now.

    I will try to install Google Chrome tomorrow from AUR, reinstall Vivaldi purge all files and Folders I can find with Vivaldi in the name. Hopefully that will help.

  • just tried… vivaldi from aur and from heruco whatever it calls ut no widevine but , vivaldo widevine didnt work out from aur also. my chromium also dont work…lol so have to remove the vivaldi one…but chrome aside also dont work. using ./update-widevine in /opt/vivaldi only installing older version of widevine…

    dont know what the issue is, i rater think is a vivaldi bug somehow.

  • I am a la pampa till next Monday…
    No access to any Antergos system at the moment.
    For me vivaldi-combi-package from Antergos was working smoother and without issue for widevine…

  • Vivaldi Kombi package was working absolutly smooth for me as well. And I really miss that. The Forum here also seems very quiet… Is Antergos about to die? That would be very sad to see.

    I think I finally found a solution I can live with for now though. Thank you both for that.

    • Uninstalled Vivaldi and Chromium
    • Purged every folder with vivaldi or chromium in the name found with
    sudo find / -name 'vivaldi'
    sudo find / -name 'chromium'
    
    • Installed Google-Chrome from Herecura Repo
    • Installed Vivaldi-ffmpeg-codecs from Herecura Repo
    • Finally installed Vivaldi from Herecura Repo

    So far Netflix and Amazon Music are working, didn’t get to test everything yet.

  • No problem with Vivaldi, om my behalf. All codecs installed from AUR, and Netflix is running smothly.

  • @MrEcks
    Hi, could you tell which packages exactly you installed for Vivaldi to run well? I’m not a vivaldi user, so I have to ask all details.
    I’m asking this because I’m thinking of adding vivaldi to one of my repos (see my footer below).

  • @manuel Your Repos sound interesting, that would be a great solution if you really add Vivaldi.

    Maybe one question if you allow, what would be the best order for the repositorys so that there are no package conflicts with the arch or antergos repos?

  • @Severus
    Somehow I think the problem was that there were some older settings Vivaldi was looking for that weren’t there anymore. Since you’ve cleanded those folders, it’s now working, so it doesn’t have anything to do with the herecura repo or AUR. I’m running Vivaldi, vivaldi ffmpeg codecs (bin version) and Vivaldi widevine from the AUR for more than a year now without problems.

  • @Severus
    Repos are searched in the order they are written in /etc/pacman.conf.
    So, if you want to use a package from repo A instead of repo B, repo A must be before repo B in that file.

  • @manuel
    So I could I move up the Pure Arch Repos to the Top, then put yours behind and Antergos last? Or would there be a complete chaos of Packages then?

    I saw you have a much newer Version from Yay as an example in your Repo than Antergos has. Never noticed how outdated that package is.

  • @Severus
    Yes, the order determines what packages are used.

    Packages may conflict because of the following reasons AFAIK:

    • a package has the same name in two or more separate repos
    • a package is marked to conflict with another package (in PKGBUILD)
    • dependencies may also cause problems the same way as above

    So yes, there may be conflicts. You may set the repos in some order. But when updating packages, you’ll see what will be updated, and if you think it is wrong for some reason, you can go back to the original repo order and update again.

    If you change the repo order, it is useful to give the following command:

    sudo pacman -Syyuu
    

    in order to have packages (and versions) you want.

  • So I added the latest (2.4.1488.40) stable vivaldi to https://github.com/manuel-192/antergos-mup.

    I’m planning to add vivaldi extensions, but it will take some time (that I currently don’t have too much).
    So meanwhile extensions can be used from AUR.

    If somebody uses vivaldi (or any other package) from this repo, please report the results here so that I can continuously improve the repo.

browser35 vivaldi20 fully3 Posts 50Views 304
Log in to reply
Bloom Email Optin Plugin

Looks like your connection to Antergos Community Forum was lost, please wait while we try to reconnect.